weka.classifiers

## Class AggregateableEvaluation

- java.lang.Object
- - weka.classifiers.Evaluation
  - - weka.classifiers.AggregateableEvaluation

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler, Summarizable

      public class AggregateableEvaluation
      extends Evaluation

  Subclass of Evaluation that provides a method for aggregating the results stored in another Evaluation object. Delegates to the actual implementation in weka.classifiers.evaluation.AggregateableEvaluation.
  Version:
    $Revision: 9320 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.Evaluation

      `BUILT_IN_EVAL_METRICS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateableEvaluation(Evaluation eval)` Constructs a new AggregateableEvaluation object based on an Evaluation object
    `AggregateableEvaluation(Instances data)` Constructs a new AggregateableEvaluation object
    `AggregateableEvaluation(Instances data, CostMatrix costMatrix)` Constructs a new AggregateableEvaluation object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(Evaluation evaluation)` Adds the statistics encapsulated in the supplied Evaluation object into this one.

    - ### Methods inherited from class weka.classifiers.Evaluation

      `areaUnderPRC, areaUnderROC, avgCost, confusionMatrix, correct, correlationCoefficient, coverageOfTestCasesByPredictedRegions, crossValidateModel, crossValidateModel, dontDisplayMetrics, equals, errorRate, evaluateModel, evaluateModel, evaluateModel, evaluateModelOnce, evaluateModelOnce, evaluateModelOnce, evaluateModelOnceAndRecordPrediction, evaluateModelOnceAndRecordPrediction, evaluationForSingleInstance, falseNegativeRate, falsePositiveRate, fMeasure, getAllEvaluationMetricNames, getClassPriors, getDiscardPredictions, getHeader, getMetricsToDisplay, getPluginMetric, getPluginMetrics, getRevision, incorrect, kappa, KBInformation, KBMeanInformation, KBRelativeInformation, main, matthewsCorrelationCoefficient, meanAbsoluteError, meanPriorAbsoluteError, numFalseNegatives, numFalsePositives, numInstances, numTrueNegatives, numTruePositives, pctCorrect, pctIncorrect, pctUnclassified, precision, predictions, priorEntropy, recall, relativeAbsoluteError, rootMeanPriorSquaredError, rootMeanSquaredError, rootRelativeSquaredError, setDiscardPredictions, setMetricsToDisplay, setPriors, SFEntropyGain, SFMeanEntropyGain, SFMeanPriorEntropy, SFMeanSchemeEntropy, SFPriorEntropy, SFSchemeEntropy, sizeOfPredictedRegions, toClassDetailsString, toClassDetailsString, toCumulativeMarginDistributionString, toMatrixString, toMatrixString, toSummaryString, toSummaryString, toSummaryString, totalCost, trueNegativeRate, truePositiveRate, unclassified, unweightedMacroFmeasure, unweightedMicroFmeasure, updatePriors, useNoPriors, weightedAreaUnderPRC, weightedAreaUnderROC, weightedFalseNegativeRate, weightedFalsePositiveRate, weightedFMeasure, weightedMatthewsCorrelation, weightedPrecision, weightedRecall, weightedTrueNegativeRate, weightedTruePositiveRate, wekaStaticWrapper`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateableEvaluation

          public AggregateableEvaluation(Instances data)
                                  throws java.lang.Exception

      Constructs a new AggregateableEvaluation object
      Parameters:
        `data` - the Instances to use
      Throws:
        `java.lang.Exception` - if a problem occurs

    - #### AggregateableEvaluation

          public AggregateableEvaluation(Instances data,
                                 CostMatrix costMatrix)
                                  throws java.lang.Exception

      Constructs a new AggregateableEvaluation object
      Parameters:
        `data` - the Instances to use
        `costMatrix` - the cost matrix to use
      Throws:
        `java.lang.Exception` - if a problem occurs

    - #### AggregateableEvaluation

          public AggregateableEvaluation(Evaluation eval)
                                  throws java.lang.Exception

      Constructs a new AggregateableEvaluation object based on an Evaluation object
      Parameters:
        `eval` - the Evaluation object to use
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### aggregate

          public void aggregate(Evaluation evaluation)

      Adds the statistics encapsulated in the supplied Evaluation object into this one. Does not perform any checks for compatibility between the supplied Evaluation object and this one.
      Parameters:
        `evaluation` - the evaluation object to aggregate